Subject: RE: [SIP] Codec Mismatch

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Sat, 27 Jan 2001 04:14:53 -0800

Zeeshan, 

This is not the right list for the question - please post future questions
to the SIP Implementors list.... but I'll answer it as I disagree with
"???".

Assuming you mean that the INVITE _only_ contains unsupported the codes, the
correct response is normally 488 of 606 (as stated  Section B.2 of the
draft). 

A 6xx response is normally only sent when a server knows definitively that
the _user_ is not able to accept the call _anywhere_ (eg, it knows that the
user associated with this Reuqets-URI instance is not logged into any other
server or available anywhere else). They are _not_ sent when the UA simply
knows the Request-URI is unavailable - only if the user associated with the
Request-URI is globally unavailable (which is a function of adminitrative
policy not SIP addresses). [See Section 7.6] A single 6xx response causes
all branches of a search to be cancelled. 

For this reason, 4xx or 5xx responses are the normal response in most
situations (ie, 488 Not Acceptable Here). If everyone starts sending 6xx
responses for everything then request forking at proxies is not goign to get
very far.

Robert.

> -----Original Message-----
> From: ??? [mailto:[email-masked]]
> Sent: Saturday, January 27, 2001 8:38 PM
> To: [email-masked]; zeeshan razzaque
> Subject: RE: [SIP] Codec Mismatch
> 
> 
> I think that you should send 606 Not Acceptable
> Thanks.
> 				softgear
> 
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of zeeshan razzaque
> Sent: Saturday, January 27, 2001 6:07 PM
> To: [email-masked]
> Subject: [SIP] Codec Mismatch
> 
> Hi,
> I have doubts about the response the UAS should send
> if the sdp in the invite has an unsupported codec.
> Could someone plz tell me which call flows document
> should I take a look at.
> Thanx,
> Zeeshan.
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Auctions - Buy the things you want at great prices.
> http://auctions.yahoo.com/
> 
> _______________________________________________
> This list is for continuing development of the SIP protocol.
> The sip-implementer's list is the place to discuss implementation,
> and to receive advice on understanding existing sip.
> To subscribe to it, send mail to [email-masked] with
> "subscribe sip-implementors" in the body.
> N¬-+-SÇèÊ'¶)îSxz÷¥¢(tm)zzÚ¶' 
> úk¢Ú¢TázÈ©Sjezg§µêì-+-SËaz(tm)Zqëhv+ºË"s(tm)^(tm)éíjØ¨©Ý¶SÞqè¯y§o?Ç¨
> zéÝz»-jwbz±SËbz
> "¥:,¹»®&Þ¶^±éÝ(tm)¨¥¶?sZSÝ¢j±Ê%ºfâiçnÂ+a²æìr¸>zÈ©Sjezg§¶SìS{ayº
>